centos install notes, basically like rhell
authorivan <ivan>
Wed, 16 Feb 2005 22:06:05 +0000 (22:06 +0000)
committerivan <ivan>
Wed, 16 Feb 2005 22:06:05 +0000 (22:06 +0000)
install/centos/3/INSTALL [new file with mode: 0644]
install/centos/3/httpd-init [new file with mode: 0644]

diff --git a/install/centos/3/INSTALL b/install/centos/3/INSTALL
new file mode 100644 (file)
index 0000000..9228f57
--- /dev/null
@@ -0,0 +1,66 @@
+#!/bin/sh
+
+yum install cvs perl perl-DateManip perl-HTML-Parser \
+            perl-HTML-Tagset perl-URI perl-libwww-perl perl-CPAN \
+            rsync screen zsh lftp cvs autoconf \
+            gcc gd \
+            rh-postgresql rh-postgresql-docs rh-postgresql-libs \
+            rh-postgresql-server rh-postgresql-devel
+
+
+perl -MCPAN -e"install Net::Whois::Raw, Business::CreditCard, \
+                       File::CounterFile, String::Approx, Text::Template, \
+                       FreezeThaw, DBIx::DBSchema, \
+                       Net::SSH, String::ShellQuote, Net::SCP, \
+                       HTML::Mason, Tie::IxHash, Time::Duration, \
+                       HTML::Widgets::SelectLayers, Apache::DBI, \
+                       Cache::Cache, IPC::ShareLite, Locale::SubCountry, \
+                       Crypt::PasswdMD5, \
+                       Locale::SubCountry, DBI, DBD::Pg, \
+                       File::Temp, Storable, JavaScript::RPC::Server::CGI"
+
+#RT
+#perl -MCPAN -e "install Digest::MD5, Test::Inline, Class::ReturnValue, DBIx::SearchBuilder, HTML::Scrubber, Log::Dispatch, Locale::Maketext::Fuzzy, MIME::Entity, Text::Wrapper, Time::ParseDate, Term::ReadKey, Text::Autoformat, Text::Quoted, Tree::Simple, Module::Versions::Report"
+
+lftpget http://dag.wieers.com/packages/apt/apt-0.5.15cnc6-3.1.el3.dag.i386.rpm
+rpm -i apt-0.5.15cnc6-3.1.el3.dag.i386.rpm 
+apt-get update
+apt-get install perl-GD perl-MailTools perl-TimeDate perl-NetAddr-IP
+
+perl -MCPAN -e"install Chart::Base"
+
+#apachetoolbox
+apt-get remove httpd
+yum install krb5-devel openssl-devel
+lftpget http://umn.dl.sourceforge.net/sourceforge/apachetoolbox/Apachetoolbox-install-1.5.72.tar.gz
+tar xzvf Apachetoolbox-install-1.5.72.tar.gz
+cd Apachetoolbox-1.5.72
+./install.sh
+# export INCLUDES="-I/usr/kerberos/include"
+cd apache_1.3.31;make
+make certificate TYPE=dummy
+make install
+ln -s /usr/local/apache/bin/htpasswd /usr/local/bin
+cp httpd-init /etc/init.d/httpd-freeside
+chmod a+rx /etc/init.d/httpd-freeside 
+/sbin/chkconfig httpd-freeside on
+#end apachetoolbox
+
+/usr/sbin/useradd freeside
+
+/sbin/chkconfig rhdb on
+/etc/init.d/rhdb start
+
+su postgres -c "createuser -P freeside"
+
+su freeside -c "createdb freeside"
+
+#?
+cd ../../..
+make install-perl-modules
+make create-config
+freeside-adduser -c -h /usr/local/etc/freeside/htpasswd ivan
+LANG=C su freeside -c 'freeside-setup ivan'
+su freeside -c '/home/ivan/freeside/bin/populate-msgcat ivan'
+make deploy
+
diff --git a/install/centos/3/httpd-init b/install/centos/3/httpd-init
new file mode 100644 (file)
index 0000000..dca95cf
--- /dev/null
@@ -0,0 +1,50 @@
+#!/bin/bash
+#
+# Startup script for the Apache Web Server
+#
+# chkconfig: - 85 15
+# description: Apache is a World Wide Web server.  It is used to serve \
+#              HTML files and CGI.
+# processname: httpd
+# Source function library.
+
+# Path to the apachectl script, server binary, and short-form for messages.
+apachectl=/usr/local/apache/bin/apachectl
+prog=httpd
+RETVAL=0
+
+start() {
+        echo -n $"Starting $prog: "
+        $apachectl startssl
+        RETVAL=$?
+}
+stop() {
+        echo -n $"Stopping $prog: "
+        $apachectl stop
+        RETVAL=$?
+}
+
+# See how we were called.
+case "$1" in
+  start)
+        start
+        ;;
+  stop)
+        stop
+        ;;
+  restart)
+        stop
+        sleep 3
+        start
+        ;;
+  graceful|help|configtest)
+        $apachectl $@
+        RETVAL=$?
+        ;;
+  *)
+        echo $"Usage: $prog {start|stop|restart|graceful|help|configtest}"
+        exit 1
+esac
+
+exit $RETVAL
+